Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p5zprod.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p5zprod.F90	(revision 14275)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p5zprod.F90	(revision 14276)
@@ -72,15 +72,16 @@
       INTEGER  ::   ji, jj, jk
       REAL(wp) ::   zsilfac, znanotot, zpicotot, zdiattot, zconctemp, zconctemp2
-      REAL(wp) ::   zration, zratiop, zratiof, zmax, zsilim, ztn, zadap
-      REAL(wp) ::   zpronmax, zpropmax, zprofmax, zrat
+      REAL(wp) ::   zration, zratiop, zratiof, zmax, ztn, zadap
+      REAL(wp) ::   zpronmax, zpropmax, zprofmax, zratio
       REAL(wp) ::   zlim, zsilfac2, zsiborn, zprod, zprontot, zproptot, zprodtot
       REAL(wp) ::   zprnutmax, zdocprod, zprochln, zprochld, zprochlp
       REAL(wp) ::   zpislopen, zpislopep, zpisloped
       REAL(wp) ::   zrum, zcodel, zargu, zval, zfeup
-      REAL(wp) ::   zfact, zrfact2, zmaxsi, zratiosi, zsizetmp, zlimfac
+      REAL(wp) ::   zqfpmax, zqfnmax, zqfdmax
+      REAL(wp) ::   zfact, zrfact2, zmaxsi, zratiosi, zsizetmp, zlimfac, zsilim
       CHARACTER (len=25) :: charout
-      REAL(wp), DIMENSION(jpi,jpj    ) :: zmixnano, zmixpico, zmixdiat, zstrn
+      REAL(wp), DIMENSION(jpi,jpj    ) :: zmixnano, zmixpico, zmixdiat
       REAL(wp), DIMENSION(jpi,jpj,jpk) :: zpislopeadn, zpislopeadp, zpislopeadd
-      REAL(wp), DIMENSION(jpi,jpj,jpk) :: zprnut, zprnutp, zprmaxp, zprmaxn, zprmaxd
+      REAL(wp), DIMENSION(jpi,jpj,jpk) :: zprnut, zprmaxp, zprmaxn, zprmaxd
       REAL(wp), DIMENSION(jpi,jpj,jpk) :: zprbio, zprpic, zprdia, zysopt
       REAL(wp), DIMENSION(jpi,jpj,jpk) :: zprchln, zprchlp, zprchld
@@ -111,27 +112,13 @@
       zysopt  (:,:,:) = 0._wp
       zrespn  (:,:,:) = 0._wp ; zrespp  (:,:,:) = 0._wp ; zrespd  (:,:,:) = 0._wp 
+      zmxl_fac(:,:,:) = 0._wp ; zmxl_chl(:,:,:) = 0._wp
+      consfe3 (:,:,:) = 0._wp
 
       ! Computation of the optimal production rates and nutrient uptake
       ! rates. Based on a Q10 description of the thermal dependency.
-      zprnut (:,:,:) = 0.6_wp * (1.0 + zpsino3 * qnnmax ) * r1_rday * tgfunc(:,:,:)
-      zprnutp(:,:,:) =  0.6_wp * (1. + zpsino3 * qnpmax ) * r1_rday * tgfunc3(:,:,:)
-      zprmaxn(:,:,:) = ( 0.6_wp * (1. + zpsino3 * qnnmax ) ) * r1_rday * tgfunc(:,:,:)
-      zprmaxd(:,:,:) = ( 0.6_wp * (1. + zpsino3 * qndmax ) ) * r1_rday * tgfunc(:,:,:)
-      zprmaxp(:,:,:) = ( 0.4_wp * (1. + zpsino3 * qnpmax ) ) * r1_rday * tgfunc3(:,:,:)
-
-      ! compute the day length depending on latitude and the day
-      ! Astronomical parameterization taken from HAMOCC3
-      zrum = REAL( nday_year - 80, wp ) / REAL( nyear_len(1), wp )
-      zcodel = ASIN(  SIN( zrum * rpi * 2._wp ) * SIN( rad * 23.5_wp )  )
-
-      ! day length in hours
-      zstrn(:,:) = 0.
-      DO jj = 1, jpj
-         DO ji = 1, jpi
-            zargu = TAN( zcodel ) * TAN( gphit(ji,jj) * rad )
-            zargu = MAX( -1., MIN(  1., zargu ) )
-            zstrn(ji,jj) = MAX( 0.0, 24. - 2. * ACOS( zargu ) / rad / 15. )
-         END DO
-      END DO
+      zprnut (:,:,:) =  0.8_wp * r1_rday * tgfunc(:,:,:)
+      zprmaxn(:,:,:) =  0.8_wp * (1. + zpsino3 * qnnmax ) * r1_rday * tgfunc(:,:,:)
+      zprmaxd(:,:,:) =  0.8_wp * (1. + zpsino3 * qndmax ) * r1_rday * tgfunc(:,:,:)
+      zprmaxp(:,:,:) =  0.6_wp * (1. + zpsino3 * qnpmax ) * r1_rday * tgfunc(:,:,:)
 
       ! Impact of the day duration and light intermittency on phytoplankton growth
@@ -146,5 +133,5 @@
             DO ji = 1, jpi
                IF( etot_ndcy(ji,jj,jk) > 1.E-3 ) THEN
-                  zval = MAX( 1., zstrn(ji,jj) )
+                  zval = MAX( 1., strn(ji,jj) )
                   IF( gdepw_n(ji,jj,jk+1) <= hmld(ji,jj) ) THEN
                      zval = zval * MIN(1., heup_01(ji,jj) / ( hmld(ji,jj) + rtrn ))
@@ -161,7 +148,6 @@
       zprpic(:,:,:) = zprmaxp(:,:,:) * zmxl_fac(:,:,:)
 
-
       ! Maximum light intensity
-      zdaylen(:,:) = MAX(1., zstrn(:,:)) / 24.
+      zdaylen(:,:) = MAX(1., strn(:,:)) / 24.
 
       ! Computation of the P-I slope for nanos, picos and diatoms
@@ -192,7 +178,7 @@
                   ! Actual light levels are used here 
                   !  ---------------------------------------------
-                  zprbio(ji,jj,jk) = zprbio(ji,jj,jk) * ( 1.- EXP( -zpislopen * enano(ji,jj,jk) / zmxl_chl(ji,jj,jk) )  )
-                  zprpic(ji,jj,jk) = zprpic(ji,jj,jk) * ( 1.- EXP( -zpislopep * epico(ji,jj,jk) / zmxl_chl(ji,jj,jk))  )
-                  zprdia(ji,jj,jk) = zprdia(ji,jj,jk) * ( 1.- EXP( -zpisloped * ediat(ji,jj,jk) / zmxl_chl(ji,jj,jk))  )
+                  zprbio(ji,jj,jk) = zprbio(ji,jj,jk) * ( 1.- EXP( -zpislopen * enano(ji,jj,jk) / zmxl_fac(ji,jj,jk) )  )
+                  zprpic(ji,jj,jk) = zprpic(ji,jj,jk) * ( 1.- EXP( -zpislopep * epico(ji,jj,jk) / zmxl_fac(ji,jj,jk) )  )
+                  zprdia(ji,jj,jk) = zprdia(ji,jj,jk) * ( 1.- EXP( -zpisloped * ediat(ji,jj,jk) / zmxl_fac(ji,jj,jk) )  )
 
                   !  Computation of production function for Chlorophyll
@@ -227,5 +213,5 @@
                   ! -----------------------------------------------------------------------
                   zlim  = trb(ji,jj,jk,jpsil) / ( trb(ji,jj,jk,jpsil) + xksi1 )
-                  zsilim = MIN( zprdia(ji,jj,jk) / ( zprmaxd(ji,jj,jk) + rtrn ), xlimsi(ji,jj,jk) )
+                  zsilim = xlimdia(ji,jj,jk) * zprdia(ji,jj,jk) / ( zprmaxd(ji,jj,jk) + rtrn )
                   zsiborn = trb(ji,jj,jk,jpsil) * trb(ji,jj,jk,jpsil) * trb(ji,jj,jk,jpsil)
                   IF (gphit(ji,jj) < -30 ) THEN
@@ -240,5 +226,5 @@
                      zysopt(ji,jj,jk) = zlim * zsilfac2 * grosip * 1.0 * zmaxsi
                   ELSE
-                     zysopt(ji,jj,jk) = zlim * zsilfac2 * grosip * 1.0 * zsilim**0.75 * zmaxsi
+                     zysopt(ji,jj,jk) = zlim * zsilfac2 * grosip * 1.0 * zsilim**0.7 * zmaxsi
                   ENDIF
                ENDIF
@@ -257,5 +243,4 @@
                zprdia(ji,jj,jk)  = zprdia(ji,jj,jk) * ( 1. - fr_i(ji,jj) ) 
                zprnut(ji,jj,jk)  = zprnut(ji,jj,jk) * ( 1. - fr_i(ji,jj) )
-               zprnutp(ji,jj,jk) = zprnutp(ji,jj,jk) * ( 1. - fr_i(ji,jj) )
             END DO
          END DO
@@ -284,5 +269,5 @@
                   zlimfac = xlimphys(ji,jj,jk) * zprchln(ji,jj,jk) / ( zprmaxn(ji,jj,jk) + rtrn )
                   zsizetmp = 1.0 + 1.3 * ( xsizern - 1.0 ) * zlimfac**3/(0.3 + zlimfac**3)
-                  sizena(ji,jj,jk) = min(xsizern, max( sizena(ji,jj,jk), zsizetmp ) )
+                  sizena(ji,jj,jk) = MIN(xsizern, MAX( sizena(ji,jj,jk), zsizetmp ) )
                   ! Maximum potential uptake rate
                   zration = trb(ji,jj,jk,jpnph) / ( trb(ji,jj,jk,jpphy) + rtrn )
@@ -291,20 +276,22 @@
                   zprnutmax = zprnut(ji,jj,jk) * fvnuptk(ji,jj,jk) / rno3 * trb(ji,jj,jk,jpphy) * rfact2
                   ! Uptake of nitrogen
-                  zrat = 1.0 - MIN( 1., zration / (xqnnmax(ji,jj,jk) + rtrn) )
-                  zmax = MAX(0., MIN(1., zrat**2 / (0.05**2 + zrat**2) ) )
+                  zratio = 1.0 - MIN( 1., zration / (xqnnmax(ji,jj,jk) + rtrn) )
+                  zmax = MAX(0., MIN(1., zratio**2 / (0.05**2 + zratio**2) ) )
                   zpronmax = zprnutmax * zmax * MAX(0., MIN(1., ( zratiop - xqpnmin(ji,jj,jk) )   &
                   &          / ( xqpnmax(ji,jj,jk) - xqpnmin(ji,jj,jk) + rtrn ), xlimnfe(ji,jj,jk) ) )
+                  zpronmax = zpronmax * xqnnmin(ji,jj,jk) / qnnmin
                   zpronewn(ji,jj,jk) = zpronmax * xnanono3(ji,jj,jk)
                   zproregn(ji,jj,jk) = zpronmax * xnanonh4(ji,jj,jk)
                   ! Uptake of phosphorus and DOP
-                  zrat = 1.0 - MIN( 1., zratiop / (xqpnmax(ji,jj,jk) + rtrn) )
-                  zmax = MAX(0., MIN(1., zrat**2 / (0.05**2 + zrat**2) ) )
-                  zpropmax = zprnutmax * zmax * xlimnfe(ji,jj,jk) * 16. / 10.
+                  zratio = 1.0 - MIN( 1., zratiop / (xqpnmax(ji,jj,jk) + rtrn) )
+                  zmax = MAX(0., MIN(1., zratio**2 / (0.05**2 + zratio**2) ) )
+                  zpropmax = zprnutmax * zmax * xlimnfe(ji,jj,jk)
                   zpropo4n(ji,jj,jk) = zpropmax * xnanopo4(ji,jj,jk)
                   zprodopn(ji,jj,jk) = zpropmax * xnanodop(ji,jj,jk)
                   ! Uptake of iron
-                  zrat = 1.0 - MIN( 1., zratiof / qfnmax )
-                  zmax = MAX(0., MIN(1., zrat**2/ (0.05**2 + zrat**2) ) )
-                  zprofmax = zprnutmax * qfnmax * zmax 
+                  zqfnmax = xqfuncfecn(ji,jj,jk) + ( qfnmax - xqfuncfecn(ji,jj,jk) ) * xlimnpn(ji,jj,jk)
+                  zratio = 1.0 - MIN( 1., zratiof / zqfnmax )
+                  zmax = MAX(0., MIN(1., zratio**2/ (0.05**2 + zratio**2) ) )
+                  zprofmax = zprnutmax * zqfnmax * zmax 
                   zprofen(ji,jj,jk) = zprofmax * xnanofer(ji,jj,jk)    &
                   &          * (1. + 0.8 * xnanono3(ji,jj,jk) / ( rtrn  &
@@ -341,22 +328,24 @@
                   zratiop = trb(ji,jj,jk,jpppi) / ( trb(ji,jj,jk,jppic) + rtrn )
                   zratiof = trb(ji,jj,jk,jppfe) / ( trb(ji,jj,jk,jppic) + rtrn )
-                  zprnutmax = zprnutp(ji,jj,jk) * fvpuptk(ji,jj,jk) / rno3 * trb(ji,jj,jk,jppic) * rfact2
+                  zprnutmax = zprnut(ji,jj,jk) * fvpuptk(ji,jj,jk) / rno3 * trb(ji,jj,jk,jppic) * rfact2
                   ! Uptake of nitrogen
-                  zrat = 1.0 - MIN( 1., zration / (xqnpmax(ji,jj,jk) + rtrn) )
-                  zmax = MAX(0., MIN(1., zrat**2/ (0.05**2 + zrat**2) ) )
+                  zratio = 1.0 - MIN( 1., zration / (xqnpmax(ji,jj,jk) + rtrn) )
+                  zmax = MAX(0., MIN(1., zratio**2/ (0.05**2 + zratio**2) ) )
                   zpronmax = zprnutmax * zmax * MAX(0., MIN(1., ( zratiop - xqppmin(ji,jj,jk) )   &
                   &          / ( xqppmax(ji,jj,jk) - xqppmin(ji,jj,jk) + rtrn ), xlimpfe(ji,jj,jk) ) )
+                  zpronmax = zpronmax * xqnpmin(ji,jj,jk) / qnnmin
                   zpronewp(ji,jj,jk) = zpronmax * xpicono3(ji,jj,jk) 
                   zproregp(ji,jj,jk) = zpronmax * xpiconh4(ji,jj,jk)
                   ! Uptake of phosphorus
-                  zrat = 1.0 - MIN( 1., zratiop / (xqppmax(ji,jj,jk) + rtrn) )
-                  zmax = MAX(0., MIN(1., zrat**2 / (0.05**2 + zrat**2) ) )
-                  zpropmax = zprnutmax * zmax * xlimpfe(ji,jj,jk) * 16./10.
+                  zratio = 1.0 - MIN( 1., zratiop / (xqppmax(ji,jj,jk) + rtrn) )
+                  zmax = MAX(0., MIN(1., zratio**2 / (0.05**2 + zratio**2) ) )
+                  zpropmax = zprnutmax * zmax * xlimpfe(ji,jj,jk) 
                   zpropo4p(ji,jj,jk) = zpropmax * xpicopo4(ji,jj,jk)
                   zprodopp(ji,jj,jk) = zpropmax * xpicodop(ji,jj,jk)
                   ! Uptake of iron
-                  zrat = 1.0 - MIN( 1., zratiof / qfpmax )
-                  zmax = MAX(0., MIN(1., zrat**2 / (0.05**2 + zrat**2) ) )
-                  zprofmax = zprnutmax * qfpmax * zmax
+                  zqfpmax = xqfuncfecp(ji,jj,jk) + ( qfpmax - xqfuncfecp(ji,jj,jk) ) * xlimnpp(ji,jj,jk)
+                  zratio = 1.0 - MIN( 1., zratiof / zqfpmax )
+                  zmax = MAX(0., MIN(1., zratio**2 / (0.05**2 + zratio**2) ) )
+                  zprofmax = zprnutmax * zqfpmax * zmax
                   zprofep(ji,jj,jk) = zprofmax * xpicofer(ji,jj,jk)  &
                   &          * (1. + 0.8 * xpicono3(ji,jj,jk) / ( rtrn   &
@@ -395,20 +384,22 @@
                   zprnutmax = zprnut(ji,jj,jk) * fvduptk(ji,jj,jk) / rno3 * trb(ji,jj,jk,jpdia) * rfact2
                   ! Uptake of nitrogen
-                  zrat = 1.0 - MIN( 1., zration / (xqndmax(ji,jj,jk) + rtrn) )
-                  zmax = MAX(0., MIN(1., zrat**2 / (0.05**2 + zrat**2) ) )
+                  zratio = 1.0 - MIN( 1., zration / (xqndmax(ji,jj,jk) + rtrn) )
+                  zmax = MAX(0., MIN(1., zratio**2 / (0.05**2 + zratio**2) ) )
                   zpronmax = zprnutmax * zmax * MAX(0., MIN(1., ( zratiop - xqpdmin(ji,jj,jk) )   &
                   &          / ( xqpdmax(ji,jj,jk) - xqpdmin(ji,jj,jk) + rtrn ), xlimdfe(ji,jj,jk) ) )
+                  zpronmax = zpronmax * xqndmin(ji,jj,jk) / qnnmin
                   zpronewd(ji,jj,jk) = zpronmax * xdiatno3(ji,jj,jk)
                   zproregd(ji,jj,jk) = zpronmax * xdiatnh4(ji,jj,jk)
                   ! Uptake of phosphorus
-                  zrat = 1.0 - MIN( 1., zratiop / (xqpdmax(ji,jj,jk) + rtrn) )
-                  zmax = MAX(0., MIN(1., zrat**2/ (0.05**2 + zrat**2) ) )
-                  zpropmax = zprnutmax * zmax * xlimdfe(ji,jj,jk) * 16./10.
+                  zratio = 1.0 - MIN( 1., zratiop / (xqpdmax(ji,jj,jk) + rtrn) )
+                  zmax = MAX(0., MIN(1., zratio**2/ (0.05**2 + zratio**2) ) )
+                  zpropmax = zprnutmax * zmax * xlimdfe(ji,jj,jk)
                   zpropo4d(ji,jj,jk) = zpropmax * xdiatpo4(ji,jj,jk)
                   zprodopd(ji,jj,jk) = zpropmax * xdiatdop(ji,jj,jk)
                   ! Uptake of iron
-                  zrat = 1.0 - MIN( 1., zratiof / qfdmax )
-                  zmax = MAX(0., MIN(1., zrat**2 / (0.05**2 + zrat**2) ) )
-                  zprofmax = zprnutmax * qfdmax * zmax
+                  zqfdmax = xqfuncfecd(ji,jj,jk) + ( qfdmax - xqfuncfecd(ji,jj,jk) ) * xlimnpd(ji,jj,jk)
+                  zratio = 1.0 - MIN( 1., zratiof / zqfdmax )
+                  zmax = MAX(0., MIN(1., zratio**2 / (0.05**2 + zratio**2) ) )
+                  zprofmax = zprnutmax * zqfdmax * zmax
                   zprofed(ji,jj,jk) = zprofmax * xdiatfer(ji,jj,jk)    &
                   &          * (1. + 0.8 * xdiatno3(ji,jj,jk) / ( rtrn   &
@@ -503,4 +494,6 @@
               zfeup = texcretn * zprofen(ji,jj,jk) + texcretd * zprofed(ji,jj,jk) + texcretp * zprofep(ji,jj,jk)
               tra(ji,jj,jk,jpfer) = tra(ji,jj,jk,jpfer) - zfeup
+              consfe3(ji,jj,jk)   = zfeup * 75.0 / ( rtrn + ( plig(ji,jj,jk) + 75.0 * (1.0 - plig(ji,jj,jk) ) )   &
+              &                     * trb(ji,jj,jk,jpfer) ) / rfact2
               tra(ji,jj,jk,jpsil) = tra(ji,jj,jk,jpsil) - zprmaxd(ji,jj,jk) * zysopt(ji,jj,jk) * rfact2 * trb(ji,jj,jk,jpdia)
               tra(ji,jj,jk,jpdic) = tra(ji,jj,jk,jpdic) - zprorcan(ji,jj,jk) - zprorcad(ji,jj,jk) - zprorcap(ji,jj,jk)  &
@@ -529,8 +522,8 @@
                  zfeup    = texcretn * zprofen(ji,jj,jk) + texcretd * zprofed(ji,jj,jk) + texcretp * zprofep(ji,jj,jk)
                  tra(ji,jj,jk,jplgw) = tra(ji,jj,jk,jplgw) + zdocprod * ldocp    &
-                 &       - zfeup * plig(ji,jj,jk) / ( rtrn + plig(ji,jj,jk) + 2.E3 * (1.0 - plig(ji,jj,jk) ) ) * lthet
+                 &       - zfeup * plig(ji,jj,jk) / ( rtrn + plig(ji,jj,jk) + 75.0 * (1.0 - plig(ji,jj,jk) ) ) * lthet
                  zpligprod1(ji,jj,jk) = zdocprod * ldocp
                  zpligprod2(ji,jj,jk) = zfeup * plig(ji,jj,jk) / ( rtrn + plig(ji,jj,jk) &
-                 &                      + 2.E3 * (1.0 - plig(ji,jj,jk) ) ) * lthet
+                 &                      + 75.0 * (1.0 - plig(ji,jj,jk) ) ) * lthet
               END DO
            END DO
Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/SED/par_sed.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/SED/par_sed.F90	(revision 14275)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/SED/par_sed.F90	(revision 14276)
@@ -61,6 +61,6 @@
    INTEGER, PARAMETER ::  &
       jptrased   = jpsol + jpwat , &
-      jpdia3dsed = 2             , &
-      jpdia2dsed = 12
+      jpdia3dsed = 3             , &
+      jpdia2dsed = 20 
 
 END MODULE par_sed
Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/SED/sedarr.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/SED/sedarr.F90	(revision 14275)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/SED/sedarr.F90	(revision 14276)
@@ -50,4 +50,5 @@
          jid        = MOD( tab_ind(jn) - 1, jpi ) + 1
          jjd        = ( tab_ind(jn) - 1 ) / jpi + 1
+!         IF ( mig(jid) == 112 .and. mjg(jjd) == 25) write(0,*) 'plante ',jn,ndim1d
          tab1d(jn)  = tab2d(jid, jjd)
       END DO 
Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/SED/seddta.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/SED/seddta.F90	(revision 14275)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/SED/seddta.F90	(revision 14276)
@@ -157,7 +157,7 @@
 !        zf1    = ( 0.02 * (reac_poc - reac_poc * 0.) + zkapp - reac_poc ) / ( reac_poc / 100. - reac_poc )
 !        zf1    = MIN(0.98, MAX(0., zf1 ) )
-         zf1    = 0.48
-         zf0    = 1.0 - 0.02 - zf1
-         zf2    = 0.02
+         zf1    = 0.7
+         zf2    = 0.04
+         zf0    = 1.0 - zf2 - zf1
          rainrm_dta(ji,jspoc) =   ( zdtap(ji) +  zdtag(ji) ) * 1e-4 * zf0
          rainrm_dta(ji,jspos) =   ( zdtap(ji) +  zdtag(ji) ) * 1e-4 * zf1
@@ -177,6 +177,6 @@
       rainrm_dta(1:jpoce,jsclay) = rainrm_dta(1:jpoce,jsclay) * conv2 / mol_wgt(jsclay)   &
       &                            + wacc(1:jpoce) * por1(2) * denssol / mol_wgt(jsclay) / ( rsecday * 365.0 )
+      rainrm_dta(1:jpoce,jsfeo)  = rainrm_dta(1:jpoce,jsclay) * mol_wgt(jsclay) / mol_wgt(jsfeo) * 0.035 * 0.5
       rainrm_dta(1:jpoce,jsclay) = rainrm_dta(1:jpoce,jsclay) * 0.965
-      rainrm_dta(1:jpoce,jsfeo)  = rainrm_dta(1:jpoce,jsclay) * mol_wgt(jsclay) / mol_wgt(jsfeo) * 0.035 / 0.965
 !    rainrm_dta(1:jpoce,jsclay) = 1.0E-4 * conv2 / mol_wgt(jsclay)
 
@@ -214,8 +214,8 @@
 
       IF( lk_iomput ) THEN
-          IF( iom_use("sflxclay" ) ) CALL iom_put( "sflxclay", dust(:,:) * conv2 * 1E4 )
-          IF( iom_use("sflxcal" ) )  CALL iom_put( "sflxcal", trc_data(:,:,13) )
-          IF( iom_use("sflxbsi" ) )  CALL iom_put( "sflxbsi", trc_data(:,:,10) )
-          IF( iom_use("sflxpoc" ) )  CALL iom_put( "sflxpoc", trc_data(:,:,11) + trc_data(:,:,12) )
+          IF( iom_use("sflxclay" ) ) CALL iom_put( "sflxclay", dust(:,:) * 1E3 / 1.E4 )
+          IF( iom_use("sflxcal" ) )  CALL iom_put( "sflxcal", trc_data(:,:,14) / 1.E4 )
+          IF( iom_use("sflxbsi" ) )  CALL iom_put( "sflxbsi", trc_data(:,:,11) / 1.E4 )
+          IF( iom_use("sflxpoc" ) )  CALL iom_put( "sflxpoc", ( trc_data(:,:,12) + trc_data(:,:,13) ) / 1.E4 )
       ENDIF
 
Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/SED/sedini.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/SED/sedini.F90	(revision 14275)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/SED/sedini.F90	(revision 14276)
@@ -371,14 +371,4 @@
       denssol = 2.6
 
-      ! Initialization of diffusion coefficient as function of porosity [cm**2/s]
-      !--------------------------------------------------------------------
-!      DO jn = 1, jpsol
-!         DO jk = 1, jpksed
-!            DO ji = 1, jpoce
-!               diff(ji,jk,jn) = dcoef / ( 1.0 - 2.0 * log(por(jk)) )
-!            END DO
-!         END DO
-!      END DO
-
       ! Accumulation rate from Burwicz et al. (2011). This is used to
       ! compute the flux of clays and minerals
@@ -387,5 +377,6 @@
           ztmp1 = 0.117 / ( 1.0 + ( zkbot(ji) / 200.)**3 )
           ztmp2 = 0.006 / ( 1.0 + ( zkbot(ji) / 4000.)**10 )
-          wacc(ji) = ztmp1 + ztmp2
+          wacc(ji) = (ztmp1 + ztmp2)/10.0
+          wacc(ji) = ztmp2 / 10.0
       END DO
 
Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/SED/sedwri.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/SED/sedwri.F90	(revision 14275)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/SED/sedwri.F90	(revision 14276)
@@ -53,5 +53,5 @@
       IF (lwp) WRITE(numsed,*) ' '
       
-      ALLOCATE( zdta(jpoce,jpksed) )    ;   ALLOCATE( zflx(jpoce,jpwatp1) )
+      ALLOCATE( zdta(jpoce,jpksed) )    ;   ALLOCATE( zflx(jpoce,jptrased+1) )
 
       ! Initialize variables
@@ -87,4 +87,7 @@
       CALL unpack_arr( jpoce, flxsedi3d(1:jpi,1:jpj,1:jpksed,2)  , iarroce(1:jpoce), &
          &                   co3por(1:jpoce,1:jpksed)  )
+
+      CALL unpack_arr( jpoce, flxsedi3d(1:jpi,1:jpj,1:jpksed,3)  , iarroce(1:jpoce), &
+         &                   sedligand(1:jpoce,1:jpksed)  )
       
 !      flxsedi3d = 0.
@@ -94,5 +97,13 @@
          DO ji = 1, jpoce
             zflx(ji,jw) = ( pwcp(ji,1,jw) - pwcp_dta(ji,jw) ) &
-               &         * 1.e3 / 1.e2 * dzkbot(ji) / r2dttrc
+               &         * 1.e3 / ( 1.e2 * dzkbot(ji) ) / 1.E4 / r2dttrc
+         ENDDO
+      ENDDO
+
+      ! Calculation of fluxes g/cm2/s
+      DO js = 1, jpsol
+         zrate =  1.0 / ( por1(jpksed) ) / r2dttrc
+         DO ji = 1, jpoce
+            zflx(ji,jpwat+js) = zflx(ji,jpwat+js) + ( tosed(ji,js) - fromsed(ji,js) ) * zrate
          ENDDO
       ENDDO
@@ -100,7 +111,7 @@
       ! Calculation of accumulation rate per dt
       DO js = 1, jpsol
-         zrate =  1.0 / ( denssol * por1(jpksed) ) / r2dttrc
+         zrate =  1.0 / ( por1(jpksed) ) / r2dttrc
          DO ji = 1, jpoce
-            zflx(ji,jpwatp1) = zflx(ji,jpwatp1) + ( tosed(ji,js) - fromsed(ji,js) ) * zrate
+            zflx(ji,jptrased+1) = zflx(ji,jptrased+1) + ( tosed(ji,js) - fromsed(ji,js) ) * zrate
          ENDDO
       ENDDO
@@ -109,23 +120,24 @@
          CALL unpack_arr( jpoce, flxsedi2d(1:jpi,1:jpj,jn), iarroce(1:jpoce), zflx(1:jpoce,jn)  )
       END DO
+
       zflx(:,1) = dzdep(:) / dtsed
       CALL unpack_arr( jpoce, flxsedi2d(1:jpi,1:jpj,jpdia2dsed), iarroce(1:jpoce), zflx(1:jpoce,1) )
 
-       ! Start writing data
-       ! ---------------------
-       DO jn = 1, jptrased
-          cltra = sedtrcd(jn) ! short title for 3D diagnostic
-          CALL iom_put( cltra, trcsedi(:,:,:,jn) )
-       END DO
+      ! Start writing data
+      ! ---------------------
+      DO jn = 1, jptrased
+         cltra = sedtrcd(jn) ! short title for 3D diagnostic
+         CALL iom_put( cltra, trcsedi(:,:,:,jn) )
+      END DO
 
-       DO jn = 1, jpdia3dsed
-          cltra = seddia3d(jn) ! short title for 3D diagnostic
-          CALL iom_put( cltra, flxsedi3d(:,:,:,jn) )
-       END DO
+      DO jn = 1, jpdia3dsed
+         cltra = seddia3d(jn) ! short title for 3D diagnostic
+         CALL iom_put( cltra, flxsedi3d(:,:,:,jn) )
+      END DO
 
-       DO jn = 1, jpdia2dsed
-          cltra = seddia2d(jn) ! short title for 2D diagnostic
-          CALL iom_put( cltra, flxsedi2d(:,:,jn) )
-       END DO
+      DO jn = 1, jpdia2dsed
+         cltra = seddia2d(jn) ! short title for 2D diagnostic
+         CALL iom_put( cltra, flxsedi2d(:,:,jn) )
+      END DO
 
 
Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/sms_pisces.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/sms_pisces.F90	(revision 14275)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/sms_pisces.F90	(revision 14276)
@@ -43,5 +43,6 @@
    REAL(wp) ::   wsbio2scale      !: Length scale for the variations of wsbio2
    REAL(wp) ::   xkmort           !: Mortality half-saturation constant
-   REAL(wp) ::   ferat3           !: Fe/C in heterotrophic organisms
+   REAL(wp) ::   feratz           !: Fe/C in microzooplankton
+   REAL(wp) ::   feratm           !: Fe/C in mesozooplankton
    REAL(wp) ::   ldocp            !: Ligand production ratio during PP
    REAL(wp) ::   ldocz            !: Ligand production ratio by grazing
@@ -68,4 +69,5 @@
    INTEGER , ALLOCATABLE, SAVE, DIMENSION(:,:)   ::  neln  !: number of T-levels + 1 in the euphotic layer
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:)   ::  heup  !: euphotic layer depth
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:  ) ::  strn  !: Day duration in hours
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  etot  !: par (photosynthetic available radiation)
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  etot_ndcy      !: PAR over 24h in case of diurnal cycle
@@ -74,5 +76,5 @@
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  epico          !: PAR for pico
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  epicom         !: mean PAR for pico
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  emoy           !: averaged PAR in the mixed layer
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  emoy, etotm    !: averaged PAR in the mixed layer
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:)   ::  heup_01 !: Absolute euphotic layer depth
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:)   ::  xksi  !:  Half-saturation con,stant for diatoms
@@ -98,4 +100,5 @@
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   prodgoc    !: GOC production
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   consgoc    !: GOC consumption
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   consfe3    !: GOC consumption
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   blim       !: bacterial production factor
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   sizen      !: size of nanophyto
@@ -118,5 +121,4 @@
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   tgfunc    !: Temp. dependancy of various biological rates
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   tgfunc2   !: Temp. dependancy of mesozooplankton rates
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   tgfunc3   !: Temp. dependancy of picophytoplankton rates
 
    !!----------------------------------------------------------------------
@@ -135,8 +137,7 @@
       !!----------------------------------------------------------------------
       ierr(:) = 0
-      ALLOCATE( etot(jpi,jpj,jpk), neln(jpi,jpj), heup(jpi,jpj),    &
-        &       heup_01(jpi,jpj) , xksi(jpi,jpj)               ,  STAT=ierr(1) )
-      !
-  
+      ALLOCATE( etot(jpi,jpj,jpk), neln(jpi,jpj), heup(jpi,jpj),   &
+        &       heup_01(jpi,jpj) , xksi(jpi,jpj), strn(jpi,jpj),  STAT=ierr(1) )
+
       IF( ln_p4z .OR. ln_p5z ) THEN
 
@@ -144,5 +145,6 @@
          ALLOCATE(  enano(jpi,jpj,jpk)    , ediat(jpi,jpj,jpk) ,   &
            &        enanom(jpi,jpj,jpk)   , ediatm(jpi,jpj,jpk),   &
-           &        etot_ndcy(jpi,jpj,jpk), emoy(jpi,jpj,jpk)  ,  STAT=ierr(2) ) 
+           &        etot_ndcy(jpi,jpj,jpk), emoy(jpi,jpj,jpk)  ,   &
+           &        etotm(jpi,jpj,jpk),                           STAT=ierr(2) )
 
          !* Biological SMS
@@ -155,5 +157,5 @@
             &      prodpoc(jpi,jpj,jpk) , conspoc(jpi,jpj,jpk) ,    &
             &      prodgoc(jpi,jpj,jpk) , consgoc(jpi,jpj,jpk) ,    &
-            &      blim   (jpi,jpj,jpk) ,                         STAT=ierr(4) )
+            &      blim   (jpi,jpj,jpk) , consfe3(jpi,jpj,jpk) ,  STAT=ierr(4) )
 
          !* Carbonate chemistry
@@ -164,6 +166,5 @@
          !
          !* Temperature dependency of SMS terms
-         ALLOCATE( tgfunc (jpi,jpj,jpk) , tgfunc2(jpi,jpj,jpk),     &
-            &      tgfunc3(jpi,jpj,jpk) ,                         STAT=ierr(6) )
+         ALLOCATE( tgfunc (jpi,jpj,jpk) , tgfunc2(jpi,jpj,jpk),   STAT=ierr(6) )
          !
          !* Sinking speed
@@ -174,8 +175,5 @@
            &       sizena(jpi,jpj,jpk), sizeda(jpi,jpj,jpk),      STAT=ierr(8) )
          ! 
-         !* Prognostic ligand
-         IF( ln_ligand ) THEN
-           ALLOCATE( plig(jpi,jpj,jpk)  ,                         STAT=ierr(9) )
-         ENDIF
+         ALLOCATE( plig(jpi,jpj,jpk)  ,                           STAT=ierr(9) )
       ENDIF
       !
